AIAI.comAIAI.com
AI Model APIVideosSora format

Create video

OpenAI-compatible video generation interface.

Reference documentation: https://platform.openai.com/docs/api-reference/videos/create

POST
/v1/videos

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

multipart/form-data

model?string

Model/Style ID

prompt?string

Text description prompt

image?string

Image input (URL or Base64)

duration?number

Video Duration (seconds)

width?integer

Video Width

height?integer

Video height

fps?integer

Video frame rate

seed?integer

Random seed

n?integer

Number of videos generated

response_format?string

Response format

user?string

User Identifier

metadata?

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

Response Body

application/json

application/json

curl -X POST "https://api.aiai.com/v1/videos"
{
  "id": "string",
  "object": "string",
  "model": "string",
  "status": "string",
  "progress": 0,
  "created_at": 0,
  "seconds": "string",
  "completed_at": 0,
  "expires_at": 0,
  "size": "string",
  "error": {
    "message": "string",
    "code": "string"
  },
  "metadata": {}
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}